=== debian/changelog ===
openstack-trove (1:10.0.0-0ubuntu2) cosmic; urgency=medium

  * d/rules: Ensure /usr/etc is purged from python(3)-trove packages
    to resolve issues with co-installability.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Sep 2018 15:43:23 -0400

openstack-trove (1:10.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-trove conflicts on each other.
    - d/python(3)-trove.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:49:39 -0400

openstack-trove (1:10.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-usage-of-gettext.install: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 10:21:14 -0400

openstack-trove (1:10.0.0~b1-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-trove package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      trove-common depends on python-trove by default and python3-trove
      as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-trove packages.
    - d/control: Switch from Breaks/Replaces to conflicts in binary package
      for python3-trove against python-trove (and vice versa).
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/rules: Ensure binaries are renamed for update-alternatives.
    - d/python(3)-trove.post*, d/python(3)-trove.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-trove.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python3-trove.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for trove daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/trove-common.postinst.in: Disable calls to pkgos_rabbit_write_conf as
      consecutive calls fail.
    - d/p/fix-usage-of-gettext.install: Fix gettext.install() calls for py3.x.
  * d/tests/control, d/t/trove-daemons: Config/install updates to get
    trove-daemons to start.
  * d/watch: Scope to 10.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/Fix_guestagent.test_operating_system_for_Python3.patch: Dropped. Fixed
    in new upstream milestone.
  * d/rules: Align test execution with upstream, including ostestr --serial.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jun 2018 14:13:03 -0400

openstack-trove (1:9.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Using pkgos-dh_auto_test.
  * Switched to Python 3. Need this for the upload:
    - #890828
    - #890829
  * Add upstream patch:
    - Fix_guestagent.test_operating_system_for_Python3.patch.
  * Blacklist 3 mongodb backup unit tests, these are Py3 test issues, not core
    code problems.
  * Reviewed debian/copyright holders list and years.
  * Also balcklist (table not exists error):
    - BackupCreateTest.test_create.*
    - BackupDeleteTest.test_delete.*

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Feb 2018 12:13:48 +0100

openstack-trove (1:8.0.0-4) unstable; urgency=medium

  * Add e2fsprogs as explicit depends (Closes: #887267).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 11:39:14 +0100

openstack-trove (1:8.0.0-3) unstable; urgency=medium

  [ David Rabel ]
  * Update fr.po (Closes: #886206).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 08:48:15 +0100

openstack-trove (1:8.0.0-2) unstable; urgency=medium

  * Add missing python-pep8 build-depends (Closes: #881188).

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Nov 2017 21:35:04 +0000

openstack-trove (1:8.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #881095).
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Deprecating priority extra as per policy 4.0.1.
  * Standards-Version is now 4.1.1.
  * debian/rules: remove things defined in openstack-pkg-tools.
  * Rebased / removed old patches.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Nov 2017 20:06:48 +0100
