## openstack-trove 11.0.0

=== requirements.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.upgradecheck>=0.1.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 PyMySQL>=0.7.6 # MIT License
