=== debian/changelog ===
openstack-trove (1:11.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 10:40:52 +0100

openstack-trove (1:11.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 11.x series.
  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 13:56:40 -0400

openstack-trove (1:11.0.0~b1~git2019031952.75784f94-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 11:18:46 +0000

openstack-trove (1:11.0.0~b1~git2018111913.7796cab5-0ubuntu3) disco; urgency=medium

  * d/rules: Drop move of binaries to /usr/bin/python3-*.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Nov 2018 21:09:29 -0500

openstack-trove (1:11.0.0~b1~git2018111913.7796cab5-0ubuntu2) disco; urgency=medium

  * d/control: Drop min version of python-astroid.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 14:25:47 -0500

openstack-trove (1:11.0.0~b1~git2018111913.7796cab5-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:49:00 -0500
