=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 70~),
+ openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,
  python-all,
  python-pbr (>= 2.0.0),
@@ -21,74 +21,6 @@
  bandit,
  iproute2,
  net-tools,
- python-astroid,
- python-babel (>= 2.3.4),
- python-cassandra (>= 2.1.4),
- python-cinderclient (>= 1:3.3.0),
- python-coverage (>= 4.0),
- python-crypto (>= 2.6),
- python-cryptography (>= 2.1.4),
- python-designateclient (>= 2.7.0),
- python-diskimage-builder (>= 1.1.2),
- python-enum34 (>= 1.0.4),
- python-eventlet (>= 0.18.2),
- python-glanceclient (>= 1:2.8.0),
- python-hacking (>= 0.12.0),
- python-heatclient (>= 1.10.0),
- python-httplib2 (>= 0.9.1),
- python-iso8601 (>= 0.1.11),
- python-jinja2 (>= 2.10),
- python-jsonschema (>= 2.6.0),
- python-keystoneclient (>= 1:3.8.0),
- python-keystonemiddleware (>= 4.17.0),
- python-lxml (>= 3.4.1),
- python-migrate (>= 0.11.0),
- python-mock (>= 2.0.0),
- python-mox3 (>= 0.20.0),
- python-netaddr (>= 0.7.18),
- python-neutronclient (>= 1:6.7.0),
- python-nose (>= 1.3.7),
- python-nosexcover (>= 1.0.10),
- python-novaclient (>= 2:9.1.0),
- python-openstack.nose-plugin (>= 0.7),
- python-openstackdocstheme (>= 1.18.1),
- python-os-api-ref (>= 1.4.0),
- python-os-testr (>= 1.0.0),
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.19.2),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-osprofiler (>= 1.4.0),
- python-passlib (>= 1.7.0),
- python-paste (>= 2.0.2),
- python-pastedeploy (>= 1.5.0),
- python-pep8,
- python-pexpect (>= 3.1),
- python-proboscis (>= 1.2.5.3),
- python-psycopg2 (>= 2.6.2),
- python-pymongo (>= 3.0.2),
- python-pymysql (>= 0.7.6),
- python-redis (>= 2.10.0),
- python-routes (>= 2.3.1),
- python-six (>= 1.10.0),
- python-sqlalchemy (>= 1.0.10),
- python-stestr (>= 1.1.0),
- python-stevedore (>= 1:1.20.0),
- python-swiftclient (>= 1:3.2.0),
- python-testtools (>= 2.2.0),
- python-troveclient (>= 1:2.2.0),
- python-webob (>= 1:1.7.1),
- python-webtest (>= 2.0.27),
- python-wsgi-intercept (>= 1.4.1),
- python-xmltodict (>= 0.10.1),
  python3-astroid,
  python3-babel (>= 2.3.4),
  python3-cassandra (>= 2.1.4),
@@ -132,6 +64,7 @@
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
  python3-osprofiler (>= 1.4.0),
  python3-passlib (>= 1.7.0),
@@ -167,78 +100,6 @@
 Homepage: https://github.com/openstack/trove
 Testsuite: autopkgtest-pkg-python
 
-Package: python-trove
-Architecture: all
-Section: python
-Depends:
- e2fsprogs,
- python-babel (>= 2.3.4),
- python-cinderclient (>= 1:3.3.0),
- python-crypto (>= 2.6),
- python-cryptography (>= 2.1.4),
- python-designateclient (>= 2.7.0),
- python-diskimage-builder (>= 1.1.2),
- python-enum34 (>= 1.0.4),
- python-eventlet (>= 0.18.2),
- python-glanceclient (>= 1:2.8.0),
- python-heatclient (>= 1.10.0),
- python-httplib2 (>= 0.9.1),
- python-iso8601 (>= 0.1.11),
- python-jinja2 (>= 2.10),
- python-jsonschema (>= 2.6.0),
- python-keystoneclient (>= 1:3.8.0),
- python-keystonemiddleware (>= 4.17.0),
- python-lxml (>= 3.4.1),
- python-migrate (>= 0.11.0),
- python-netaddr (>= 0.7.18),
- python-neutronclient (>= 1:6.7.0),
- python-novaclient (>= 2:9.1.0),
- python-openstackclient,
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.19.2),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-osprofiler (>= 1.4.0),
- python-passlib (>= 1.7.0),
- python-paste (>= 2.0.2),
- python-pastedeploy (>= 1.5.0),
- python-pbr (>= 2.0.0),
- python-pexpect (>= 3.1),
- python-pymysql (>= 0.7.6),
- python-routes (>= 2.3.1),
- python-six (>= 1.10.0),
- python-sqlalchemy (>= 1.0.10),
- python-stevedore (>= 1:1.20.0),
- python-swiftclient (>= 1:3.2.0),
- python-webob (>= 1:1.7.1),
- python-xmltodict (>= 0.10.1),
- ${misc:Depends},
- ${python:Depends},
-Conflicts:
- python-cjson,
-Description: Database as a Service for OpenStack - Python 2.7 lib
- Trove is "Database as a Service" for Openstack. It's designed to allow users
- to quickly and easily utilize the features of a relational database without
- the burden of handling complex administrative tasks.
- .
- Cloud users and database administrators can provision and manage multiple
- database instances as needed. The service focus on providing resource
- isolation at high performance while automating deployment, configuration,
- patching, backups, restores, and monitoring. Trove is designed to support a
- single-tenant database within a Nova instance. There is no restrictions on how
- Nova is configured, since Trove interacts with other OpenStack components
- purely through the API.
- .
- This package provides the Trove Python 2.7 library.
-
 Package: python3-trove
 Architecture: all
 Section: python
@@ -276,6 +137,7 @@
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
  python3-osprofiler (>= 1.4.0),
  python3-passlib (>= 1.7.0),
@@ -295,7 +157,7 @@
  ${python3:Depends},
 Conflicts:
  python3-cjson,
-Description: Database as a Service for OpenStack - Python 3.x lib
+Description: Database as a Service for OpenStack - Python 3 lib
  Trove is "Database as a Service" for Openstack. It's designed to allow users
  to quickly and easily utilize the features of a relational database without
  the burden of handling complex administrative tasks.
@@ -308,7 +170,7 @@
  Nova is configured, since Trove interacts with other OpenStack components
  purely through the API.
  .
- This package provides the Trove Python 3.x library.
+ This package provides the Trove Python 3 library.
 
 Package: trove-api
 Architecture: all
@@ -340,7 +202,7 @@
 Depends:
  adduser,
  dbconfig-common,
- python-trove (= ${binary:Version}) | python3-trove (= ${binary:Version}),
+ python3-trove (= ${binary:Version}),
  sqlite3,
  ${misc:Depends},
 Description: Database as a Service for OpenStack - common files
@@ -351,3 +213,95 @@
  and manage multiple database instances as needed. Initially, the service will
  focus on providing resource isolation at high performance while automating
  complex administrative tasks including deployment, configuration, patching,
+ backups, restores, and monitoring. Trove is designed to support a
+ single-tenant database within a Nova instance. There is no restrictions on how
+ Nova is configured, since Trove interacts with other OpenStack components
+ purely through the API.
+ .
+ This package provides the Trove common files.
+
+Package: trove-conductor
+Architecture: all
+Depends:
+ adduser,
+ lsb-base,
+ trove-common (= ${binary:Version}),
+ ${misc:Depends},
+Description: Database as a Service for OpenStack - conductor
+ Trove is Database as a Service for Openstack. It's designed to run entirely on
+ OpenStack, with the goal of allowing users to quickly and easily utilize the
+ features of a relational database without the burden of handling complex
+ administrative tasks. Cloud users and database administrators can provision
+ and manage multiple database instances as needed. Initially, the service will
+ focus on providing resource isolation at high performance while automating
+ complex administrative tasks including deployment, configuration, patching,
+ backups, restores, and monitoring. Trove is designed to support a
+ single-tenant database within a Nova instance. There is no restrictions on how
+ Nova is configured, since Trove interacts with other OpenStack components
+ purely through the API.
+ .
+ This package provides the Trove conductor.
+
+Package: trove-doc
+Section: doc
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Description: Database as a Service for OpenStack - doc
+ Trove is Database as a Service for Openstack. It's designed to run entirely on
+ OpenStack, with the goal of allowing users to quickly and easily utilize the
+ features of a relational database without the burden of handling complex
+ administrative tasks. Cloud users and database administrators can provision
+ and manage multiple database instances as needed. Initially, the service will
+ focus on providing resource isolation at high performance while automating
+ complex administrative tasks including deployment, configuration, patching,
+ backups, restores, and monitoring. Trove is designed to support a
+ single-tenant database within a Nova instance. There is no restrictions on how
+ Nova is configured, since Trove interacts with other OpenStack components
+ purely through the API.
+ .
+ This package provides the Trove documentations.
+
+Package: trove-guestagent
+Architecture: all
+Depends:
+ adduser,
+ lsb-base,
+ trove-common (= ${binary:Version}),
+ ${misc:Depends},
+Description: Database as a Service for OpenStack - guest agent
+ Trove is Database as a Service for Openstack. It's designed to run entirely on
+ OpenStack, with the goal of allowing users to quickly and easily utilize the
+ features of a relational database without the burden of handling complex
+ administrative tasks. Cloud users and database administrators can provision
+ and manage multiple database instances as needed. Initially, the service will
+ focus on providing resource isolation at high performance while automating
+ complex administrative tasks including deployment, configuration, patching,
+ backups, restores, and monitoring. Trove is designed to support a
+ single-tenant database within a Nova instance. There is no restrictions on how
+ Nova is configured, since Trove interacts with other OpenStack components
+ purely through the API.
+ .
+ This package provides the Trove guest agent. The guestagent is a service that
+ runs within the guest instance, responsible for managing and performing
+ operations on the Database itself. The Guest Agent listens for RPC messages
+ through the message bus and performs the requested operation.
+
+Package: trove-taskmanager
+Architecture: all
+Depends:
+ adduser,
+ lsb-base,
+ trove-common (= ${binary:Version}),
+ ${misc:Depends},
+Description: Database as a Service for OpenStack - taskmanager
+ Trove is Database as a Service for Openstack. It's designed to run entirely on
+ OpenStack, with the goal of allowing users to quickly and easily utilize the
+ features of a relational database without the burden of handling complex
+ administrative tasks. Cloud users and database administrators can provision
+ and manage multiple database instances as needed. Initially, the service will
+ focus on providing resource isolation at high performance while automating
+ complex administrative tasks including deployment, configuration, patching,
+ backups, restores, and monitoring. Trove is designed to support a
+ single-tenant database within a Nova instance. There is no restrictions on how
