=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,14 @@
 #!/usr/bin/make -f
 
-PYTHONS=$(pyversions -vr 2>/dev/null)
 PYTHON3S=$(py3versions -vr 2>/dev/null)
 
 UPSTREAM_GIT := https://github.com/openstack/trove.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
 
 override_dh_auto_clean:
-	python2 setup.py clean
 	python3 setup.py clean
 	rm -f debian/trove-common.postinst
 	rm -f debian/trove-common.config
@@ -39,27 +37,17 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	set -e && for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/python-trove; \
-	done
 	set -e && for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-trove; \
 	done
 	rm -rf $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
 	rm -rf $(CURDIR)/debian/python*/usr/etc/*
-	set -e && for i in $(CURDIR)/debian/python-trove/usr/bin/* ; do \
-		SCRIPT_NAME=$$(basename $$i); \
-		mv $(CURDIR)/debian/python-trove/usr/bin/$$SCRIPT_NAME $(CURDIR)/debian/python-trove/usr/bin/python2-$$SCRIPT_NAME; \
-	done
-	set -e && for i in $(CURDIR)/debian/python3-trove/usr/bin/* ; do \
-		SCRIPT_NAME=$$(basename $$i); \
-		mv $(CURDIR)/debian/python3-trove/usr/bin/$$SCRIPT_NAME $(CURDIR)/debian/python3-trove/usr/bin/python3-$$SCRIPT_NAME; \
-	done
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	for i in 2 3; do \
+	for i in $(PYTHON3S); do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1`; \
 		rm -f trove_test.sqlite; \
-		python$$i-ostestr --serial; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-ostestr --serial; \
 	done
 endif
