=== debian/tests/control ===
Tests: trove-daemons
Depends: trove-common, trove-api, trove-guestagent,
 trove-taskmanager, trove-conductor, mysql-server,
 crudini
Restrictions: needs-root
