## openstack-trove 12.0.0

=== debian/changelog ===
openstack-trove (1:12.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:25:38 +0100

openstack-trove (1:12.0.0~rc1-0ubuntu4) eoan; urgency=medium

  * d/test/*: Fixup autopkgtest for MySQL 8 compatibility.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2019 11:16:50 +0100

openstack-trove (1:12.0.0~rc1-0ubuntu3) eoan; urgency=medium

  * d/trove-common.postinst.in: Drop templating and configuration
    of trove-conductor.conf and trove-taskmanager.conf; these no
    longer exist and all configuration is done via trove.conf
    (LP: #1848139).

 -- James Page <james.page@ubuntu.com>  Tue, 15 Oct 2019 09:52:46 +0100

openstack-trove (1:12.0.0~rc1-0ubuntu2) eoan; urgency=medium

  * d/tests/*: Align tests with single configuration file switch,
    resolve compatibility with MySQL 8 and PyMySQL.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 14:24:38 +0100

openstack-trove (1:12.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 12.x series.
  * New upstream release for OpenStack Train.
  * d/p/*: Rebase, refresh and drop as needed.
  * d/*.init.in: Use trove.conf for task-manager and conductor services.
  * d/rules: Rationalize default settings for single trove.conf file.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 14:21:15 +0100

openstack-trove (1:12.0.0~b2~git2019073019.f7201517-0ubuntu2) eoan; urgency=medium

  * d/rules: Run tests with stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Aug 2019 09:24:42 -0400

openstack-trove (1:12.0.0~b2~git2019073019.f7201517-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 19:06:06 +0200

openstack-trove (1:12.0.0~b1~git2019061811.49a11dd9-0ubuntu1) eoan; urgency=medium

  * New upstream release 12.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 25 Jun 2019 09:36:41 +0100
