=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  bandit,
  iproute2,
  net-tools,
- python3-astroid,
+ python3-astroid (>= 1.6.5),
  python3-babel (>= 2.3.4),
  python3-cassandra (>= 2.1.4),
  python3-cinderclient (>= 1:3.3.0),
