=== debian/rules ===
--- 
+++ 
@@ -47,24 +47,18 @@
 	for i in $(PYTHON3S); do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1`; \
 		rm -f trove_test.sqlite; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-ostestr --serial; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i stestr run --serial; \
 	done
 endif
 
 	# Install the config files in the different binary packages
 	# -guestagent
 	install -D -m 0664 $(CURDIR)/etc/trove/trove-guestagent.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-guestagent.conf
-	# -taskmanager
-	install -D -m 0664 $(CURDIR)/etc/trove/trove-taskmanager.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-taskmanager.conf
-	# -conductor
-	install -D -m 0664 $(CURDIR)/etc/trove/trove-conductor.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-conductor.conf
-	# -common
 	install -D -m 0664 $(CURDIR)/etc/trove/trove.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf
 	# We want neutron by default, not nova-network
 	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf DEFAULT network_driver	trove.network.neutron.NeutronDriver
-
 	# Use nova config drive by default
-	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-taskmanager.conf DEFAULT use_nova_server_config_drive True
+	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf DEFAULT use_nova_server_config_drive True
 
 	install -D -m 0664 $(CURDIR)/etc/trove/api-paste.ini $(CURDIR)/debian/trove-common/usr/share/trove-common/api-paste.ini
