## openstack-trove 13.0.0~b3~git2020041014.8c3df10a

=== debian/changelog ===
openstack-trove (1:13.0.0~b3~git2020041014.8c3df10a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/trove-common.postinst.in: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 14:04:22 -0400

openstack-trove (1:13.0.0~b3~git2020032626.3cdcfac3-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/p/*: Refresh.
  * d/*: wrap-and-sort -bast.
  * d/trove-common.postinst.in: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <james.page@ubuntu.com>  Thu, 26 Mar 2020 12:27:54 +0000

openstack-trove (1:13.0.0~b2~git2020021315.2d301d0a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Feb 2020 15:59:01 -0500

openstack-trove (1:13.0.0~b1~git2019121815.5472d8a5-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Dec 2019 15:44:52 -0500
