=== debian/control ===
--- 
+++ 
@@ -6,13 +6,10 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -66,6 +63,7 @@
  python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 1.4.0),
  python3-passlib (>= 1.7.0),
  python3-paste (>= 2.0.2),
@@ -84,6 +82,7 @@
  python3-stestr (>= 1.1.0),
  python3-stevedore (>= 1:1.20.0),
  python3-swiftclient (>= 1:3.2.0),
+ python3-tenacity (>= 4.9.0),
  python3-testtools (>= 2.2.0),
  python3-troveclient (>= 1:2.2.0),
  python3-webob (>= 1:1.7.1),
@@ -92,8 +91,6 @@
  python3-xmltodict (>= 0.10.1),
  subunit,
  testrepository,
-# python3-couchdb,
-# python3-fs,
 Standards-Version: 4.1.3
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
@@ -107,8 +104,8 @@
  e2fsprogs,
  python3-babel (>= 2.3.4),
  python3-cinderclient (>= 1:3.3.0),
+ python3-crypto (>= 2.6),
  python3-cryptography (>= 2.1.4),
- python3-crypto (>= 2.6),
  python3-designateclient (>= 2.7.0),
  python3-diskimage-builder (>= 1.1.2),
  python3-eventlet (>= 0.18.2),
@@ -151,6 +148,7 @@
  python3-sqlalchemy (>= 1.0.10),
  python3-stevedore (>= 1:1.20.0),
  python3-swiftclient (>= 1:3.2.0),
+ python3-troveclient (>= 1:2.2.0),
  python3-webob (>= 1:1.7.1),
  python3-xmltodict (>= 0.10.1),
  ${misc:Depends},
